### Hierarchy

- VertexBuffer3D

## Index

### Methods

- dispose
- uploadFromByteArray
- uploadFromTypedArray
- uploadFromVector

## Methods

### dispose

- dispose(): void

- - Defined in lib/openfl/display3D/VertexBuffer3D.d.ts:11

  #### Returns void

### uploadFromByteArray

- uploadFromByteArray(data: ByteArray, byteArrayOffset: number, startVertex: number, numVertices: number): void

- - Defined in lib/openfl/display3D/VertexBuffer3D.d.ts:12

  #### Parameters

  - ##### data: ByteArray

  - ##### byteArrayOffset: number

  - ##### startVertex: number

  - ##### numVertices: number

  #### Returns void

### uploadFromTypedArray

- uploadFromTypedArray(data: ArrayBufferView): void

- - Defined in lib/openfl/display3D/VertexBuffer3D.d.ts:13

  #### Parameters

  - ##### data: ArrayBufferView

  #### Returns void

### uploadFromVector

- uploadFromVector(data: Vector<number>, startVertex: number, numVertices: number): void

- - Defined in lib/openfl/display3D/VertexBuffer3D.d.ts:14

  #### Parameters

  - ##### data: Vector<number>

  - ##### startVertex: number

  - ##### numVertices: number

  #### Returns void

Generated using TypeDoc